| Home | Libraries | People | FAQ | More

#### strategy::convex_hull::graham_andrew

Graham scan strategy to calculate convex hull.

###### Synopsis

    template<typename InputGeometry, typename OutputPoint>
    class strategy::convex_hull::graham_andrew
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename InputGeometry |
typename OutputPoint |

###### Member Function(s)

Function | Description | Parameters | Returns
--- | --- | --- | ---

    void apply(InputGeometry const & geometry, partitions & state)

InputGeometry const &: geometry:

partitions &: state:

    template<typename OutputIterator>
    void result(partitions const & state, OutputIterator out, bool clockwise)

partitions const &: state:

OutputIterator: out:

bool: clockwise:

###### Header

`#include <boost/geometry/strategies/agnostic/hull_graham_andrew.hpp>`